using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;

using Telerik.Web.UI;

using BE;
using BL;
using Utilitaria;


public partial class InstUpd_TiposDeCambio : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

        if (Session["Usuario"] == null)
        {
            ClientScript.RegisterStartupScript(Page.GetType(), "mykey", "CloseAndRebind();", true);
        }
        if (!IsPostBack)
        {
            llenaCombo();

            Combo_PlanCuenta();
            //Combo_Presupuesto();
            
            if (ViewState["PlancuentaID"] != null) { BuscaRegistro(); } else { this.ddlEstado2.SelectedValue = Utilitaria.Cls_Enums.EstadoModulos.Activo; }
        }

        //ddlTipoFormatoGGPP.Filter = (RadComboBoxFilter)Convert.ToInt32(2);
    }


    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);

        ViewState["PresupuestoID"] = Request.QueryString["PresupuestoID"].ToString().Trim();
        ViewState["Estado"] = Request.QueryString["Estado"].ToString().Trim();
        if (Request.QueryString["PlancuentaID"] == null)
        {
            this.btnGuardar.Text = "  Crear  "; 
        }
        else
        {
            this.btnGuardar.Text = "Actualizar";
            ViewState["PlancuentaID"] = Request.QueryString["PlancuentaID"].ToString().Trim();
            ViewState["UnidadNegocio"] = Request.QueryString["UnidadNegocioID"].ToString().Trim();
        }
    }

    private void llenaCombo()
    {
        this.ddlEstado2.Items.Insert(0, new RadComboBoxItem("Activo"));
        this.ddlEstado2.Items[0].Value = Utilitaria.Cls_Enums.EstadoModulos.Activo;

        this.ddlEstado2.Items.Insert(1, new RadComboBoxItem("Inactivo"));
        this.ddlEstado2.Items[1].Value = Utilitaria.Cls_Enums.EstadoModulos.Inactivo;
    }

     private void limpiarCampos()
    {
        this.txtEnero.Text = "";
        this.txtFebrero.Text = "";
        this.txtMarzo.Text = "";
        this.txtAbril.Text = "";
        this.txtMayo.Text = "";
        this.txtJunio.Text = "";
        this.txtJulio.Text = "";
        this.txtAgosto.Text = "";
        this.txtSeptiembre.Text = "";
        this.txtOctubre.Text = "";
        this.txtNoviembre.Text = "";
        this.txtDiciembre.Text = "";
        this.ddlPlanCuenta.SelectedValue = Cls_Enums.EstadoModulos.Todos;
        //this.ddlUnidadNegocio.SelectedValue = Cls_Enums.EstadoModulos.Todos;
        //this.ddlPresupuesto.SelectedValue = Cls_Enums.EstadoModulos.Todos;
        this.ddlEstado2.SelectedValue = Cls_Enums.EstadoModulos.Todos;

        ViewState["PresupuestoDetalleIDEnero"] = null;
        ViewState["PresupuestoDetalleIDFebrero"] = null;
        ViewState["PresupuestoDetalleIDMarzo"] = null;
        ViewState["PresupuestoDetalleIDAbril"] = null;
        ViewState["PresupuestoDetalleIDMayo"] = null;
        ViewState["PresupuestoDetalleIDJunio"] = null;
        ViewState["PresupuestoDetalleIDJulio"] = null;
        ViewState["PresupuestoDetalleIDAgosto"] = null;
        ViewState["PresupuestoDetalleIDSeptiembre"] = null;
        ViewState["PresupuestoDetalleIDOctubre"] = null;
        ViewState["PresupuestoDetalleIDNoviembre"] = null;
        ViewState["PresupuestoDetalleIDDiciembre"] = null;
        ViewState["Enero"] = null;
        ViewState["Febrero"] = null;
        ViewState["Marzo"] = null;
        ViewState["Abril"] = null;
        ViewState["Mayo"] = null;
        ViewState["Junio"] = null;
        ViewState["Julio"] = null;
        ViewState["Agosto"] = null;
        ViewState["Septiembre"] = null;
        ViewState["Octubre"] = null;
        ViewState["Noviembre"] = null;
        ViewState["Diciembre"] = null;

        ViewState["New_Enero"] = null;
        ViewState["New_Febrero"] = null;
        ViewState["New_Marzo"] = null;
        ViewState["New_Abril"] = null;
        ViewState["New_Mayo"] = null;
        ViewState["New_Junio"] = null;
        ViewState["New_Julio"] = null;
        ViewState["New_Agosto"] = null;
        ViewState["New_Septiembre"] = null;
        ViewState["New_Octubre"] = null;
        ViewState["New_Noviembre"] = null;
        ViewState["New_Diciembre"] = null;
        ViewState["New_PlanCuentaID"] = null;
        ViewState["New_UnidadNegocioID"] = null;
        ViewState["New_PresupuestoID"] = null;
        ViewState["New_Estado"] = null;

        ViewState["New_PlanCuentaID"] = null;
        ViewState["New_UnidadNegocioID"] = null;
        ViewState["New_PresupuestoID"] = null;
        ViewState["New_Estado"] = null;

        
    
    }


     private void Combo_PlanCuenta()
     {
         BLPlanDeCuentas objBLPlanDeCuentas = new BLPlanDeCuentas();
         List<BEPlanDeCuentas> lstPlanCuenta = objBLPlanDeCuentas.fnSelPlanDeCuentasDin("Estado=0", "2 asc, 3 asc",0);

         //this.ddlPlanCuenta.DataSource = lstPlanCuenta;
         //this.ddlPlanCuenta.DataBind();

         //this.ddlPlanCuenta.Items.Insert(0, new RadComboBoxItem("---Seleccione---"));
         //this.ddlPlanCuenta.Items[0].Value = Utilitaria.Cls_Enums.EstadoModulos.Todos;

         for (int i = 0; i < lstPlanCuenta.Count; i++)
         {
             this.ddlPlanCuenta.Items.Insert(i, new RadComboBoxItem(lstPlanCuenta[i].CodigoPlanCuenta.Trim() + " -> " + lstPlanCuenta[i].NombrePlanCuenta.Trim()));
             this.ddlPlanCuenta.Items[i].Value = lstPlanCuenta[i].PlanCuentaID.Trim();
         }


         //for (int i = 0; i < lstPlanCuenta.Count; i++)
         //{
         //    RadComboBoxItem item = new RadComboBoxItem();

         //    item.Text = (string)lstPlanCuenta[i].CodigoPlanCuenta;
         //    item.Value = lstPlanCuenta[i].PlanCuentaID.ToString().Trim();

         //    String NombrePlanCuenta = (String)lstPlanCuenta[i].NombrePlanCuenta;
         //    item.Attributes.Add("NombrePlanCuenta", NombrePlanCuenta.ToString());

         //    //item.Value += ":" + CodigoSubDiario;

         //    this.ddlPlanCuenta.Items.Add(item);
         //    item.DataBind();
         //}
         //objBLPlanDeCuentas = null;
         


     }

     

    



    private void BuscaRegistro()
    {
        //int index = e.Item.ItemIndex;
        String PresupuestoID = ViewState["PresupuestoID"].ToString().Trim(); //((List<BEPresupuestoDetalle>)Session["PresupuestoDetalle"])[index].PresupuestoID;
        String PlancuentaID = ViewState["PlancuentaID"].ToString().Trim();  //((List<BEPresupuestoDetalle>)Session["PresupuestoDetalle"])[index].PlanCuentaID;
        int UnidadNegocio = Convert.ToInt32(ViewState["UnidadNegocio"].ToString().Trim());// ((List<BEPresupuestoDetalle>)Session["PresupuestoDetalle"])[index].UnidadNegocioID;
        BEPresupuestoDetalle objet_PresupuestoDetalle = new BEPresupuestoDetalle();
        BLPresupuestoDetalle objlg_PresupuestoDetalle = new BLPresupuestoDetalle();
        List<BEPresupuestoDetalle> Datos;
        Datos = objlg_PresupuestoDetalle.fnSelPresupuestoDetalleDin("Estado=" + ViewState["Estado"].ToString()  + " AND PresupuestoID= " + PresupuestoID + " AND PlancuentaID=" + PlancuentaID + " AND UnidadNegocioID=" + UnidadNegocio.ToString(), "");
        if (Datos.Count > 0)
        {
            ViewState["PresupuestoDetalleIDEnero"] = Datos[0].PresupuestoDetalleIDEnero;
            ViewState["PresupuestoDetalleIDFebrero"] = Datos[0].PresupuestoDetalleIDFebrero;
            ViewState["PresupuestoDetalleIDMarzo"] = Datos[0].PresupuestoDetalleIDMarzo;
            ViewState["PresupuestoDetalleIDAbril"] = Datos[0].PresupuestoDetalleIDAbril;
            ViewState["PresupuestoDetalleIDMayo"] = Datos[0].PresupuestoDetalleIDMayo;
            ViewState["PresupuestoDetalleIDJunio"] = Datos[0].PresupuestoDetalleIDJunio;
            ViewState["PresupuestoDetalleIDJulio"] = Datos[0].PresupuestoDetalleIDJulio;
            ViewState["PresupuestoDetalleIDAgosto"] = Datos[0].PresupuestoDetalleIDAgosto;
            ViewState["PresupuestoDetalleIDSeptiembre"] = Datos[0].PresupuestoDetalleIDSeptiembre;
            ViewState["PresupuestoDetalleIDOctubre"] = Datos[0].PresupuestoDetalleIDOctubre;
            ViewState["PresupuestoDetalleIDNoviembre"] = Datos[0].PresupuestoDetalleIDNoviembre;
            ViewState["PresupuestoDetalleIDDiciembre"] = Datos[0].PresupuestoDetalleIDDiciembre;
            ViewState["Enero"] = Datos[0].Enero;
            ViewState["Febrero"] = Datos[0].Febrero;
            ViewState["Marzo"] = Datos[0].Marzo;
            ViewState["Abril"] = Datos[0].Abril;
            ViewState["Mayo"] = Datos[0].Mayo;
            ViewState["Junio"] = Datos[0].Junio;
            ViewState["Julio"] = Datos[0].Julio;
            ViewState["Agosto"] = Datos[0].Agosto;
            ViewState["Septiembre"] = Datos[0].Septiembre;
            ViewState["Octubre"] = Datos[0].Octubre;
            ViewState["Noviembre"] = Datos[0].Noviembre;
            ViewState["Diciembre"] = Datos[0].Diciembre;
            ViewState["PlanCuentaID"] = Datos[0].PlanCuentaID.Trim();
            ViewState["UnidadNegocioID"] = Datos[0].UnidadNegocioID;
            ViewState["PresupuestoID"] = Datos[0].PresupuestoID.Trim();
            ViewState["Importe"] = Datos[0].Importe;
            ViewState["TipoCambio"] = Datos[0].TipoCambio;
            ViewState["MonedaID"] = Datos[0].MonedaID;
            ViewState["Estado"] = Datos[0].Estado;

            this.ddlPlanCuenta.SelectedValue = Convert.ToString(ViewState["PlanCuentaID"]);
            //this.ddlUnidadNegocio.SelectedValue = Convert.ToString(ViewState["UnidadNegocioID"]);
            //this.ddlPresupuesto.SelectedValue = Convert.ToString(ViewState["PresupuestoID"]);
            this.ddlEstado2.SelectedValue = Convert.ToString(ViewState["Estado"]);
            this.txtEnero.Text = Convert.ToString(ViewState["Enero"]);
            this.txtFebrero.Text = Convert.ToString(ViewState["Febrero"]);
            this.txtMarzo.Text = Convert.ToString(ViewState["Marzo"]);
            this.txtAbril.Text = Convert.ToString(ViewState["Abril"]);
            this.txtMayo.Text = Convert.ToString(ViewState["Mayo"]);
            this.txtJunio.Text = Convert.ToString(ViewState["Junio"]);
            this.txtJulio.Text = Convert.ToString(ViewState["Julio"]);
            this.txtAgosto.Text = Convert.ToString(ViewState["Agosto"]);
            this.txtSeptiembre.Text = Convert.ToString(ViewState["Septiembre"]);
            this.txtOctubre.Text = Convert.ToString(ViewState["Octubre"]);
            this.txtNoviembre.Text = Convert.ToString(ViewState["Noviembre"]);
            this.txtDiciembre.Text = Convert.ToString(ViewState["Diciembre"]);
        }
        objet_PresupuestoDetalle = null;
        objlg_PresupuestoDetalle = null;
        Datos = null;
        
    }

    protected void btnGuardar_Click(object sender, EventArgs e)
    {

        BLPresupuestoDetalle objBLPresupuestoDetalle = new BLPresupuestoDetalle();
        BEPresupuestoDetalle objBEPresupuestoDetalle = new BEPresupuestoDetalle();

        String PresupuestoDetalleIDEnero = Convert.ToString(ViewState["PresupuestoDetalleIDEnero"]);
        String PresupuestoDetalleIDFebrero = Convert.ToString(ViewState["PresupuestoDetalleIDFebrero"]);
        String PresupuestoDetalleIDMarzo = Convert.ToString(ViewState["PresupuestoDetalleIDMarzo"]);
        String PresupuestoDetalleIDAbril = Convert.ToString(ViewState["PresupuestoDetalleIDAbril"]);
        String PresupuestoDetalleIDMayo = Convert.ToString(ViewState["PresupuestoDetalleIDMayo"]);
        String PresupuestoDetalleIDJunio = Convert.ToString(ViewState["PresupuestoDetalleIDJunio"]);
        String PresupuestoDetalleIDJulio = Convert.ToString(ViewState["PresupuestoDetalleIDJulio"]);
        String PresupuestoDetalleIDAgosto = Convert.ToString(ViewState["PresupuestoDetalleIDAgosto"]);
        String PresupuestoDetalleIDSeptiembre = Convert.ToString(ViewState["PresupuestoDetalleIDSeptiembre"]);
        String PresupuestoDetalleIDOctubre = Convert.ToString(ViewState["PresupuestoDetalleIDOctubre"]);
        String PresupuestoDetalleIDNoviembre = Convert.ToString(ViewState["PresupuestoDetalleIDNoviembre"]);
        String PresupuestoDetalleIDDiciembre = Convert.ToString(ViewState["PresupuestoDetalleIDDiciembre"]);
        Decimal ImporteEnero = Convert.ToDecimal(ViewState["Enero"]);
        Decimal ImporteFebrero = Convert.ToDecimal(ViewState["Febrero"]);
        Decimal ImporteMarzo = Convert.ToDecimal(ViewState["Marzo"]);
        Decimal ImporteAbril = Convert.ToDecimal(ViewState["Abril"]);
        Decimal ImporteMayo = Convert.ToDecimal(ViewState["Mayo"]);
        Decimal ImporteJunio = Convert.ToDecimal(ViewState["Junio"]);
        Decimal ImporteJulio = Convert.ToDecimal(ViewState["Julio"]);
        Decimal ImporteAgosto = Convert.ToDecimal(ViewState["Agosto"]);
        Decimal ImporteSeptiembre = Convert.ToDecimal(ViewState["Septiembre"]);
        Decimal ImporteOctubre = Convert.ToDecimal(ViewState["Octubre"]);
        Decimal ImporteNoviembre = Convert.ToDecimal(ViewState["Noviembre"]);
        Decimal ImporteDiciembre = Convert.ToDecimal(ViewState["Diciembre"]);

        String strActualiza = "";

        ViewState["New_Enero"] = Convert.ToDecimal(this.txtEnero.Text != "" ? this.txtEnero.Text : "0");
        ViewState["New_Febrero"] = Convert.ToDecimal(this.txtFebrero.Text != "" ? this.txtFebrero.Text : "0");
        ViewState["New_Marzo"] = Convert.ToDecimal(this.txtMarzo.Text != "" ? this.txtMarzo.Text : "0");
        ViewState["New_Abril"] = Convert.ToDecimal(this.txtAbril.Text != "" ? this.txtAbril.Text : "0");
        ViewState["New_Mayo"] = Convert.ToDecimal(this.txtMayo.Text != "" ? this.txtMayo.Text : "0");
        ViewState["New_Junio"] = Convert.ToDecimal(this.txtJunio.Text != "" ? this.txtJunio.Text : "0");
        ViewState["New_Julio"] = Convert.ToDecimal(this.txtJulio.Text != "" ? this.txtJulio.Text : "0");
        ViewState["New_Agosto"] = Convert.ToDecimal(this.txtAgosto.Text != "" ? this.txtAgosto.Text : "0");
        ViewState["New_Septiembre"] = Convert.ToDecimal(this.txtSeptiembre.Text != "" ? this.txtSeptiembre.Text : "0");
        ViewState["New_Octubre"] = Convert.ToDecimal(this.txtOctubre.Text != "" ? this.txtOctubre.Text : "0");
        ViewState["New_Noviembre"] = Convert.ToDecimal(this.txtNoviembre.Text != "" ? this.txtNoviembre.Text : "0");
        ViewState["New_Diciembre"] = Convert.ToDecimal(this.txtDiciembre.Text != "" ? this.txtDiciembre.Text : "0");
        ViewState["New_PlanCuentaID"] = Convert.ToString(this.ddlPlanCuenta.SelectedValue);
        //ViewState["New_UnidadNegocioID"] = Convert.ToString(this.ddlUnidadNegocio.SelectedValue);
        ViewState["New_PresupuestoID"] = Convert.ToString(ViewState["PresupuestoID"]);
        ViewState["New_Estado"] = Convert.ToString(this.ddlEstado2.SelectedValue);

        objBEPresupuestoDetalle.PlanCuentaID = Convert.ToString(ViewState["New_PlanCuentaID"]);
        objBEPresupuestoDetalle.UnidadNegocioID = Convert.ToInt32(ViewState["New_UnidadNegocioID"]);
        objBEPresupuestoDetalle.PresupuestoID = Convert.ToString(ViewState["New_PresupuestoID"]);
        objBEPresupuestoDetalle.Estado = Convert.ToByte(ViewState["New_Estado"]);

        String strRegistro = "";
        objBEPresupuestoDetalle.BEAuditores.UsuarioID = Convert.ToInt32(Session["UsuarioID"]);

        objBEPresupuestoDetalle.BEAuditores.UsuarioIdAutorizado = 0;
        objBEPresupuestoDetalle.BEAuditores.IPEquipo = Cls_Enums.f_DatosPC.IPPC;
        objBEPresupuestoDetalle.BEAuditores.UsuarioActualEquipo = Cls_Enums.f_DatosPC.UsuarioPC;
        objBEPresupuestoDetalle.BEAuditores.NombreEquipo = Cls_Enums.f_DatosPC.NombrePC;
        objBEPresupuestoDetalle.BEAuditores.NombreEquipo = Cls_Enums.TablaMovimientos.PresupuestoDetalle;

        for (int i = 1; i <= 12; i++)
        {
            if (PresupuestoDetalleIDEnero != String.Empty)
            {
                objBEPresupuestoDetalle.Mes = i;
                if (i == 1) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDEnero, ImporteEnero, ViewState["New_Enero"]);
                else if (i == 2) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDFebrero, ImporteFebrero, ViewState["New_Febrero"]);
                else if (i == 3) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDMarzo, ImporteMarzo, ViewState["New_Marzo"]);
                else if (i == 4) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDAbril, ImporteAbril, ViewState["New_Abril"]);
                else if (i == 5) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDMayo, ImporteMayo, ViewState["New_Mayo"]);
                else if (i == 6) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDJunio, ImporteJunio, ViewState["New_Junio"]);
                else if (i == 7) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDJulio, ImporteJulio, ViewState["New_Julio"]);
                else if (i == 8) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDAgosto, ImporteAgosto, ViewState["New_Agosto"]);
                else if (i == 9) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDSeptiembre, ImporteSeptiembre, ViewState["New_Septiembre"]);
                else if (i == 10) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDOctubre, ImporteOctubre, ViewState["New_Octubre"]);
                else if (i == 11) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDNoviembre, ImporteNoviembre, ViewState["New_Noviembre"]);
                else if (i == 12) CreaAuditorUpd(ref strRegistro, ref strActualiza, ref objBEPresupuestoDetalle, PresupuestoDetalleIDDiciembre, ImporteDiciembre, ViewState["New_Diciembre"]);

                objBEPresupuestoDetalle.BEAuditores.Movimiento = strRegistro;
                objBEPresupuestoDetalle.BEAuditores.MovimientoUltimo = strActualiza;
                objBLPresupuestoDetalle.fnInsUpdPresupuestoDetalle(objBEPresupuestoDetalle);
            }
            else
            {
                objBEPresupuestoDetalle.Mes = i;
                if (i == 1) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtEnero.Text);
                else if (i == 2) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtFebrero.Text);
                else if (i == 3) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtMarzo.Text);
                else if (i == 4) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtAbril.Text);
                else if (i == 5) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtMayo.Text);
                else if (i == 6) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtJunio.Text);
                else if (i == 7) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtJulio.Text);
                else if (i == 8) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtAgosto.Text);
                else if (i == 9) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtSeptiembre.Text);
                else if (i == 10) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtOctubre.Text);
                else if (i == 11) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtNoviembre.Text);
                else if (i == 12) objBEPresupuestoDetalle.Importe = Convert.ToDecimal(txtDiciembre.Text);
                strRegistro = "<<Crea PresupuestoDetalle>>" +
                         "\nPresupuestoDetalleID: " + objBEPresupuestoDetalle.PresupuestoDetalleID +
                         "\nMes: " + objBEPresupuestoDetalle.Mes +
                         "\nPlanCuentaID: " + objBEPresupuestoDetalle.PlanCuentaID +
                         "nUnidadNegocioID: " + objBEPresupuestoDetalle.UnidadNegocioID +
                         "\nPresupuestoID: " + objBEPresupuestoDetalle.PresupuestoID +
                         "\nImporte: " + objBEPresupuestoDetalle.Importe +
                         "\nEstado: " + objBEPresupuestoDetalle.Estado;
                objBEPresupuestoDetalle.BEAuditores.Movimiento = strRegistro;
                objBLPresupuestoDetalle.fnInsUpdPresupuestoDetalle(objBEPresupuestoDetalle);
            }
        }        
        
    
            ClientScript.RegisterStartupScript(Page.GetType(), "mykey", "CloseAndRebind('navigateToInserted');", true);

            //objet_PresupuestoDetalle = null;
            //objlg_PresupuestoDetalle = null;
            this.limpiarCampos();
    }

    private void CreaAuditorUpd(ref string Registro, ref string Actualiza, ref BEPresupuestoDetalle objBEPresupuestoDetalle, object PresupuestoDetalleID, object Importe, object New_Importe)
    {
        objBEPresupuestoDetalle.Importe = Convert.ToDecimal(New_Importe);
        objBEPresupuestoDetalle.PresupuestoDetalleID = Convert.ToString(PresupuestoDetalleID);
        Registro = "<<Actualiza PresupuestoDetalle>>" +
            "\nPresupuestoDetalleID: " + PresupuestoDetalleID +
            "\nMes: " + objBEPresupuestoDetalle.Mes +
            "\nPlanCuentaID: " + ViewState["PlanCuentaID"] +
            "nUnidadNegocioID: " + ViewState["UnidadNegocioID"] +
            "\nPresupuestoID: " + ViewState["PresupuestoID"] +
            "\nImporte: " + Importe +
            "\nEstado: " + objBEPresupuestoDetalle.Estado;
        Actualiza = "<<Actualiza PresupuestoDetalle>>" +
            "\nPresupuestoDetalleID: " + PresupuestoDetalleID +
            "\nMes: " + objBEPresupuestoDetalle.Mes +
            "\nPlanCuentaID: " + ViewState["New_PlanCuentaID"] +
            "nUnidadNegocioID: " + ViewState["New_UnidadNegocioID"] +
            "\nPresupuestoID: " + ViewState["New_PresupuestoID"] +
            "\nImporte: " + New_Importe +
            "\nEstado: " + objBEPresupuestoDetalle.Estado;
    }


    protected void btnVolver_Click(object sender, EventArgs e)
    {
        ClientScript.RegisterStartupScript(Page.GetType(), "mykey", "CancelEdit();", true);
        this.limpiarCampos();
    }
    protected void showMessage(string strMessage)
    {
        ScriptManager.RegisterStartupScript(this, this.GetType(), "myscript", "alert('" + strMessage + "');", true);

    }

}
